%global pkg_name        Test-HTTP-Server-Simple
%global pkg_version     0.06
%global rpm_pkg_version 0.06
%global rpm_pkg_release 1.n0i.5

Summary:       Test::More functions for HTTP::Server::Simple
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JE/JESSE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(HTTP::Server::Simple)
BuildRequires: perl(NEXT)

%if %{!?_without_test:1}0
BuildRequires: perl(Test::Builder::Tester) >= 1.04
%endif


%description
This module provides functions to test an HTTP::Server::Simple-based web
server.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Wed Nov 14 2007 Marius Feraru <altblue@n0i.net> - 0.06-1.n0i.5
- version 0.06
- spec update (new reb00t build tools)

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.05-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.05

* Sat Jul 08 2006 Marius Feraru <altblue@n0i.net> - 0.03-1.n0i.3
- version 0.03

* Wed Aug 17 2005 Marius FERARU <altblue@n0i.net> 0.02-1.n0i.2
- version 0.02

* Tue Aug 09 2005 Marius Feraru <altblue@n0i.net> 0.01-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
